## r-cran-formatr 1.2.1

=== DESCRIPTION ===
Package: formatR
Type: Package
Title: Format R Code Automatically
Version: 1.2.1
Date: 2015-09-18
Author: Yihui Xie
Maintainer: Yihui Xie <xie@yihui.name>
Description: Provides a function tidy_source() to format R source code. Spaces
    and indent will be added to the code automatically, and comments will be
    preserved under certain conditions, so that R code will be more
    human-readable and tidy. There is also a Shiny app as a user interface in
    this package (see tidy_app()).
Depends: R (>= 3.0.2)
Suggests: codetools, shiny, testit, knitr
License: GPL
URL: http://yihui.name/formatR
BugReports: https://github.com/yihui/formatR/issues
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2015-09-18 01:50:40 UTC; yihui
Repository: CRAN
Date/Publication: 2015-09-18 08:58:36

=== inst/shiny/DESCRIPTION ===
Title: Tidy R code using formatR
Author: Yihui Xie
AuthorUrl: http://yihui.name
License: MIT
DisplayMode: Showcase
Tags: formatR
Type: Shiny

=== debian/changelog ===
r-cran-formatr (1.2.1-3) unstable; urgency=low

  * debian/copyright: add missing license of inst/shiny/*.  Thanks Thorsten
    Alteholz.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 02 Feb 2016 10:00:53 +0100

r-cran-formatr (1.2.1-2) unstable; urgency=low

  * Initial public release. Closes: #808807
  * debian/copyright: completed.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 23 Dec 2015 15:01:08 +0100

r-cran-formatr (1.2.1-1) unstable; urgency=low

  * Private release, for Tilburg University.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 23 Dec 2015 13:41:40 +0100

=== debian/control ===
Source: r-cran-formatr
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Build-Depends: debhelper (>= 9), r-base-dev, cdbs, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6
Homepage: https://cran.r-project.org/web/packages/formatr/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-formatr.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/r-cran-formatr.git

Package: r-cran-formatr
Architecture: any
Depends: ${shlibs:Depends}, ${R:Depends}, ${misc:Depends}
Description: Format R code automatically
 The GNU R package formatr provides a function tidy_source() to format R
 source code. Spaces and indent will be added to the code automatically,
 and comments will be preserved under certain conditions, so that R code
 will be more human-readable and tidy. There is also a Shiny app as a user
 interface in this package (see tidy_app()).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# Use hardening flags for linking
include /usr/share/dpkg/buildflags.mk
makeFlags="LDFLAGS=$(LDFLAGS)"

include /usr/share/R/debian/r-cran.mk

common-install-arch::
	rm -vf $(debRlib)/$(cranNameOrig)/NEWS

=== debian/watch ===
version=3
opts="uversionmangle=s/-/\./" \
	    http://cran.r-project.org/src/contrib/formatr_([-\d\.]*)\.tar.gz

## r-cran-formatr 1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: formatR
 Type: Package
 Title: Format R Code Automatically
-Version: 1.2.1
-Date: 2015-09-18
+Version: 1.4
+Date: 2016-05-09
 Author: Yihui Xie
 Maintainer: Yihui Xie <xie@yihui.name>
 Description: Provides a function tidy_source() to format R source code. Spaces
@@ -16,7 +16,8 @@
 URL: http://yihui.name/formatR
 BugReports: https://github.com/yihui/formatR/issues
 VignetteBuilder: knitr
+RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2015-09-18 01:50:40 UTC; yihui
+Packaged: 2016-05-09 06:18:28 UTC; yihui
 Repository: CRAN
-Date/Publication: 2015-09-18 08:58:36
+Date/Publication: 2016-05-09 17:52:57

=== debian/changelog ===
r-cran-formatr (1.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 06 Jun 2017 22:22:14 +0200

r-cran-formatr (1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * cme fix dpkg-control
  * convert to dh-r
  * Canonical CRAN homepage
  * debhelper 10
  * d/watch:
     - version=4
     - do not replace '-' by '.' in upstream version
  * Add autopkgtest
  * do not Build-Depend: dpkg-dev

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2016 13:39:53 +0100

r-cran-formatr (1.2.1-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Sat, 09 Jul 2016 13:14:56 +0200

r-cran-formatr (1.2.1-4) unstable; urgency=low

  * debian/watch: use real upstream name: s/formatr/formatR/.
  * debian/control: Standards-Version: updated from 3.9.6 to 3.9.7 (no other
    changes needed.)
  * debian/docs: install upstream README.md.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 03 Mar 2016 17:54:52 +0100

=== debian/control ===
Source: r-cran-formatr
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               r-base-dev,
               dh-r
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-formatr.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-formatr.git
Homepage: https://cran.r-project.org/package=formatR

Package: r-cran-formatr
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Format R code automatically
 The GNU R package formatr provides a function tidy_source() to format R
 source code. Spaces and indent will be added to the code automatically,
 and comments will be preserved under certain conditions, so that R code
 will be more human-readable and tidy. There is also a Shiny app as a user
 interface in this package (see tidy_app()).

=== debian/watch ===
version=4

http://cran.r-project.org/src/contrib/formatR_([-\d\.]*)\.tar.gz

## r-cran-formatr 1.5

=== DESCRIPTION ===
Package: formatR
Type: Package
Title: Format R Code Automatically
Version: 1.5
Date: 2017-04-26
Authors@R: c(
    person("Yihui", "Xie", email = "xie@yihui.name", role = c("aut", "cre")),
    person("Eugene", "Ha", role = "ctb"),
    person("Kohske", "Takahashi", role = "ctb"),
    person("Ed", "Lee", role = "ctb")
    )
Maintainer: Yihui Xie <xie@yihui.name>
Description: Provides a function tidy_source() to format R source code. Spaces
    and indent will be added to the code automatically, and comments will be
    preserved under certain conditions, so that R code will be more
    human-readable and tidy. There is also a Shiny app as a user interface in
    this package (see tidy_app()).
Depends: R (>= 3.0.2)
Suggests: codetools, shiny, testit, rmarkdown, knitr
License: GPL
URL: https://yihui.name/formatR
BugReports: https://github.com/yihui/formatR/issues
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-04-25 16:06:05 UTC; yihui
Author: Yihui Xie [aut, cre],
  Eugene Ha [ctb],
  Kohske Takahashi [ctb],
  Ed Lee [ctb]
Repository: CRAN
Date/Publication: 2017-04-25 23:31:46 UTC

=== debian/changelog ===
r-cran-formatr (1.5-2) unstable; urgency=medium

  * Team upload.
  * Add missing r-cran-codetools test dependency.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 11 Nov 2017 17:24:15 +0100

r-cran-formatr (1.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Secure URI in watch file
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 19:41:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 10),
                r-base-dev,
                dh-r
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-formatr.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-formatr.git
 Homepage: https://cran.r-project.org/package=formatR

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testit, r-cran-codetools
Restrictions: allow-stderr

=== debian/watch ===
version=4

https://cran.r-project.org/src/contrib/formatR_([-\d\.]*)\.tar.gz

## r-cran-formatr 1.7

=== DESCRIPTION ===
Package: formatR
Type: Package
Title: Format R Code Automatically
Version: 1.7
Authors@R: c(
    person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
    person("Eugene", "Ha", role = "ctb"),
    person("Kohske", "Takahashi", role = "ctb"),
    person("Ed", "Lee", role = "ctb")
    )
Description: Provides a function tidy_source() to format R source code. Spaces
    and indent will be added to the code automatically, and comments will be
    preserved under certain conditions, so that R code will be more
    human-readable and tidy. There is also a Shiny app as a user interface in
    this package (see tidy_app()).
Depends: R (>= 3.0.2)
Suggests: codetools, shiny, testit, rmarkdown, knitr
License: GPL
URL: https://github.com/yihui/formatR
BugReports: https://github.com/yihui/formatR/issues
VignetteBuilder: knitr
RoxygenNote: 6.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2019-06-11 19:35:45 UTC; yihui
Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
  Eugene Ha [ctb],
  Kohske Takahashi [ctb],
  Ed Lee [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2019-06-11 20:00:03 UTC

=== debian/changelog ===
r-cran-formatr (1.7-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 15 May 2020 21:50:15 +0200

r-cran-formatr (1.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jul 2019 08:41:31 +0200

r-cran-formatr (1.5-3) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Architecture: all (instead of any)

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 06:59:27 +0200

=== debian/control ===
Source: r-cran-formatr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-formatr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-formatr.git
Homepage: https://cran.r-project.org/package=formatR
Rules-Requires-Root: no

Package: r-cran-formatr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Format R code automatically
 The GNU R package formatr provides a function tidy_source() to format R
 source code. Spaces and indent will be added to the code automatically,
 and comments will be preserved under certain conditions, so that R code
 will be more human-readable and tidy. There is also a Shiny app as a user
 interface in this package (see tidy_app()).

## r-cran-formatr 1.11

=== DESCRIPTION ===
Package: formatR
Type: Package
Title: Format R Code Automatically
Version: 1.11
Authors@R: c(
    person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
    person("Ed", "Lee", role = "ctb"),
    person("Eugene", "Ha", role = "ctb"),
    person("Kohske", "Takahashi", role = "ctb"),
    person("Pavel", "Krivitsky", role = "ctb"),
    person()
    )
Description: Provides a function tidy_source() to format R source code. Spaces
    and indent will be added to the code automatically, and comments will be
    preserved under certain conditions, so that R code will be more
    human-readable and tidy. There is also a Shiny app as a user interface in
    this package (see tidy_app()).
Depends: R (>= 3.2.3)
Suggests: codetools, shiny, testit, rmarkdown, knitr
License: GPL
URL: https://github.com/yihui/formatR
BugReports: https://github.com/yihui/formatR/issues
VignetteBuilder: knitr
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2021-06-01 13:58:06 UTC; yihui
Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
  Ed Lee [ctb],
  Eugene Ha [ctb],
  Kohske Takahashi [ctb],
  Pavel Krivitsky [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2021-06-01 16:40:09 UTC

=== debian/changelog ===
r-cran-formatr (1.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * No README.md and NEWS provided by upstream any more

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 08:22:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-formatr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-formatr.git
 Homepage: https://cran.r-project.org/package=formatR

## r-cran-formatr 1.12

=== debian/changelog ===
r-cran-formatr (1.12-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 08 Apr 2022 12:05:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-formatr
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-formatr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-formatr.git
+Homepage: https://cran.r-project.org/package=formatR
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-formatr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-formatr.git
-Homepage: https://cran.r-project.org/package=formatR
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-formatr
 Architecture: all

## r-cran-formatr 1.14

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: formatR
 Type: Package
 Title: Format R Code Automatically
-Version: 1.11
+Version: 1.14
 Authors@R: c(
     person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
     person("Ed", "Lee", role = "ctb"),
@@ -16,15 +16,15 @@
     human-readable and tidy. There is also a Shiny app as a user interface in
     this package (see tidy_app()).
 Depends: R (>= 3.2.3)
-Suggests: codetools, shiny, testit, rmarkdown, knitr
+Suggests: rstudioapi, shiny, testit, rmarkdown, knitr
 License: GPL
 URL: https://github.com/yihui/formatR
 BugReports: https://github.com/yihui/formatR/issues
 VignetteBuilder: knitr
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2021-06-01 13:58:06 UTC; yihui
+Packaged: 2023-01-17 21:46:29 UTC; yihui
 Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
   Ed Lee [ctb],
   Eugene Ha [ctb],
@@ -32,4 +32,4 @@
   Pavel Krivitsky [ctb]
 Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2021-06-01 16:40:09 UTC
+Date/Publication: 2023-01-17 22:30:02 UTC

=== debian/changelog ===
r-cran-formatr (1.14-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.7.0 (routine-update)
  * d/control: remove Uploaders (had only my name).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Mon, 22 Apr 2024 14:54:18 +0000

r-cran-formatr (1.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2023 16:02:27 +0100

r-cran-formatr (1.13-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.13
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Dec 2022 18:57:04 +0530

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-formatr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-formatr.git
 Homepage: https://cran.r-project.org/package=formatR
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rstudioapi,
        r-cran-shiny,
        r-cran-testit,
        r-cran-rmarkdown,
        r-cran-knitr
Restrictions: allow-stderr
